List retrospective steps
curl --request GET \
--url https://api.rootly.com/v1/retrospective_processes/{retrospective_process_id}/retrospective_steps \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"attributes": {
"retrospective_process_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"incident_role_id": "<string>",
"due_after_days": 123,
"position": 123,
"skippable": true
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/retrospective_processes/{retrospective_process_id}/retrospective_steps \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"attributes": {
"retrospective_process_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"incident_role_id": "<string>",
"due_after_days": 123,
"position": 123,
"skippable": true
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}